local WorldPhysics = require 'entities/physics/WorldPhysics'
local PlayerPhysics = require 'entities/player/PlayerPhysics'
local PlayerState = require 'entities/player/PlayerState'

local Input = {}

function love.keypressed( key )

	if wheelTouching == true then
		if key == 'w' then
			PlayerPhysics.wheel.body:applyLinearImpulse( 0,-PlayerState.speed*5.25 )
			isJumping = true
			InputText = "w"
		else
			isJumping = false
		end
	end

end
function love.keyreleased( key )
	if gameStart == false then
		if key == 'return' then
			gameStart = true
		end
	end

end

function Input:update( dt )
	--[[if love.keyboard.isDown( 'lshift' ) then
		speed = 3000
	else speed = 2000
	end]]
	if destroyPlayer == true then
		PlayerState.speed = 0
		PlayerState.isAlive = false
	end
	if wheelTouching == true then
		--[[if love.keyboard.isDown( 'w' ) then
			PlayerPhysics.wheel.body:applyLinearImpulse( 0,-PlayerState.speed )
			isJumping = true
			InputText = "w"
		else
			isJumping = false
		end]]
		if love.keyboard.isDown( 'a' ) then
			--PlayerPhysics.wheel.body:setLinearVelocity( -PlayerState.speed,0 )
			PlayerPhysics.wheel.body:applyForce( -PlayerState.speed*4.75,0 )
			InputText = "a"
		end
		if love.keyboard.isDown( 's' ) then
			PlayerPhysics.wheel.body:setLinearVelocity( 0,0 )
			InputText = "s"
		end
		if love.keyboard.isDown( 'd' ) then
			--PlayerPhysics.wheel.body:setLinearVelocity( PlayerState.speed,0 )
			PlayerPhysics.wheel.body:applyForce( PlayerState.speed*4.75,0 )
			InputText = "d"
		end
	end
end

return Input
