local PlayerPhysics = require 'entities/player/PlayerPhysics'
local PlayerState = require 'entities/player/PlayerState'

local Player = {}

function Player:draw1()
  love.graphics.setColor( 0,150,150 )
  if destroyPlayer == true then
    love.graphics.setColor( 255,0,0 )
  end
  love.graphics.circle("fill", PlayerPhysics.head.body:getX(), PlayerPhysics.head.body:getY(), PlayerPhysics.head.shape:getRadius())
  love.graphics.setColor( 255,255,255 )
  if destroyPlayer == true then
    love.graphics.setColor( 255,0,0 )
  end
  love.graphics.circle("line", PlayerPhysics.head.body:getX(), PlayerPhysics.head.body:getY(), PlayerPhysics.head.shape:getRadius())

  love.graphics.setColor( 0,0,0 )
  if destroyPlayer == true then
    love.graphics.setColor( 255,0,0 )
  end
  love.graphics.circle("fill", PlayerPhysics.wheel.body:getX(), PlayerPhysics.wheel.body:getY(), PlayerPhysics.wheel.shape:getRadius())
  love.graphics.setColor( 0,255,0 )
  if destroyPlayer == true then
    love.graphics.setColor( 255,0,0 )
  end
  love.graphics.circle("line", PlayerPhysics.wheel.body:getX(), PlayerPhysics.wheel.body:getY(), PlayerPhysics.wheel.shape:getRadius())

  love.graphics.setColor( 0,255,255, 75 )
  if destroyPlayer == true then
    love.graphics.setColor( 255,0,0 )
  end
  love.graphics.circle("fill", PlayerPhysics.wheel.body:getX(), PlayerPhysics.wheel.body:getY(), 25 )

  love.graphics.setColor( 0,255,0 )
  if destroyPlayer == true then
    love.graphics.setColor( 255,0,0 )
  end
  love.graphics.circle("line", PlayerPhysics.wheel.body:getX(), PlayerPhysics.wheel.body:getY(), 25 )

  love.graphics.setColor( 0,150,150 )
  if destroyPlayer == true then
    love.graphics.setColor( 255,0,0 )
  end
  love.graphics.polygon("fill", PlayerPhysics.upperTorso.body:getWorldPoints(PlayerPhysics.upperTorso.shape:getPoints()))
  love.graphics.setColor( 255,255,255 )
  if destroyPlayer == true then
    love.graphics.setColor( 255,0,0 )
  end
  love.graphics.polygon("line", PlayerPhysics.upperTorso.body:getWorldPoints(PlayerPhysics.upperTorso.shape:getPoints()))

  love.graphics.setColor( 0,150,150 )
  if destroyPlayer == true then
    love.graphics.setColor( 255,0,0 )
  end
  love.graphics.polygon("fill", PlayerPhysics.lowerTorso.body:getWorldPoints(PlayerPhysics.lowerTorso.shape:getPoints()))
  love.graphics.setColor( 255,255,255 )
  if destroyPlayer == true then
    love.graphics.setColor( 255,0,0 )
  end
  love.graphics.polygon("line", PlayerPhysics.lowerTorso.body:getWorldPoints(PlayerPhysics.lowerTorso.shape:getPoints()))
end
function Player:draw2()
  love.graphics.setColor( 55,55,55, 15 )
  love.graphics.circle( "fill", PlayerPhysics.wheelSensor.body:getX(), PlayerPhysics.wheelSensor.body:getY(), 1100 )
  love.graphics.setColor( 255,255,0, 55 )
  love.graphics.circle( "line", PlayerPhysics.wheelSensor.body:getX(), PlayerPhysics.wheelSensor.body:getY(), 1100 )

  if wheelTouching == true then
    love.graphics.setColor( 250,250,250, 75 )
    love.graphics.circle("line", PlayerPhysics.wheelSensor.body:getX(), PlayerPhysics.wheelSensor.body:getY(), 650 )
    love.graphics.setColor( 0,255,255, 75 )
    love.graphics.circle("line", PlayerPhysics.wheelSensor.body:getX(), PlayerPhysics.wheelSensor.body:getY(), 700 )
  elseif wheelTouching == false then
    love.graphics.setColor( 0,0,0, 50 )
    love.graphics.circle("line", PlayerPhysics.wheelSensor.body:getX(), PlayerPhysics.wheelSensor.body:getY(), 650 )
    love.graphics.setColor( 0,0,0, 70 )
    love.graphics.circle("line", PlayerPhysics.wheelSensor.body:getX(), PlayerPhysics.wheelSensor.body:getY(), 700 )
  end
end

return Player
