local WorldPhysics = require 'entities/WorldPhysics'

local Level1 = {}

function Level1:load()
    Level1.physics = {}
    Level1.physics.body = love.physics.newBody( WorldPhysics.world, 0,0, 'static' )
    Level1.physics.shape = love.physics.newChainShape( true, 100,-100, 1100,-100, 1500,600, -300,600 )
    Level1.physics.fixture = love.physics.newFixture( Level1.physics.body,Level1.physics.shape, 1 )
    Level1.physics.fixture:setCategory( 1 )
    Level1.physics.isInside = true
end
function Level1:draw()
  love.graphics.setColor( 0,55,0 )
  love.graphics.polygon( 'fill', Level1.physics.body:getWorldPoints( Level1.physics.shape:getPoints() ) )
end

return Level1
